Delete a note by path
DELETE
/notes/*path
const url = 'https://api.engram.page/notes/*path';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.engram.page/notes/*path' \ --header 'Authorization: Bearer <token>'Deletes the note at the given path. Idempotent — deleting a non-existent note still returns deleted: true.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”path
required
string
Note path
Responses
Section titled “Responses”Deleted
Media typeapplication/json
DeletedFlag
object
deleted
required
boolean
Example
{ "deleted": true}